iOS security

Onderzoekers ontdekken ‘FREAK’-beveiligingsprobleem, Apple belooft oplossing

Het FREAK beveiligingsprobleem zorgt ervoor dat veel websites en apparaten vatbaar zijn voor hackers. Apple belooft binnen een week een beveiligingsupdate uit te brengen.

iOS securityiPhones, Macs en veel websites zijn vatbaar voor het FREAK-beveiligingslek (Factoring attack on RSA-EXPORT Keys), dat onlangs is ontdekt door onderzoekers van het Franse INRIA. Dit schrijft The Washington Post. Het beveiligingslek wordt veroorzaakt door een oude, Amerikaanse wet, die bedrijven verbood om software met krachtige beveiliging te ontwikkelen.

In de Verenigde Staten moesten bedrijven gebruikmaken van een bepaald encryptieniveau bij de ontwikkeling van software voor het buitenland. Maakte programma’s gebruik van te goede versleuteling, dan mochten ze van de regering niet worden verkocht. De wet werd rond het einde van de jaren ’90 al afgeschaft, maar onderzoekers van INRIA ontdekten dat veel bedrijven nog steeds het oude versleutelingsniveau hanteerden. Hackers kunnen deze zwakkere beveiliging misbruiken om op websites in te breken.

Volgens INRIA is meer dan een kwart van alle versleutelde websites vatbaar voor hacks door FREAK. Bij deze websites staat een slot naast de url, wat indiceert dat de verbinding beveiligd is. De onderzoekers hebben de afgelopen weken websites van grote instanties op het beveiligingsprobleem gewezen, zodat ze aan een oplossing konden werken voordat de kwestie openbaar werd gemaakt. De websites van bijvoorbeeld de FBI en het Witte Huis waren kwetsbaar maar zijn inmiddels goed beveiligd.

De onderzoekers wijzen er op dat de apparaten van zowel Apple als Google niet bestand zijn tegen het FREAK-probleem. Apple heeft beloofd om volgende week een beveiligingsupdate uit te brengen voor de Mac en iOS.

Suggestie hoe we dit artikel kunnen verbeteren? Laat het ons weten!

Informatie

Laatst bijgewerkt 3 maart 2015, 20:28
Categorieën iOS, Mac & macOS
Onderwerp beveiliging

Reacties zijn gesloten voor dit artikel.